Bug 498580 - lircm does not work in Xorg on Fedora 10+
lircm does not work in Xorg on Fedora 10+
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 05:25 EDT by Jan ONDREJ
Modified: 2009-12-18 04:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:23:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated HAL fdi file (1.85 KB, application/octet-stream)
2009-05-01 05:25 EDT, Jan ONDREJ
no flags Details

  None (edit)
Description Jan ONDREJ 2009-05-01 05:25:05 EDT
Created attachment 342059 [details]
Updated HAL fdi file

Description of problem:
Fedora 10 has new input device detection using HAL and this makes lircm non functional. In my Xorg.log there are these messages:

(II) The server relies on HAL to provide the list of input devices.
        If no devices become available, reconfigure HAL or disable AllowEmptyInput.
(WW) AllowEmptyInput is on, devices using drivers 'kbd' or 'mouse' will be disabled.
(WW) Disabling Keyboard0
(WW) Disabling LIRC-Mouse

And then my lirc mouse is not functional. After some investigation there is one solution on web:
  http://web.aanet.com.au/~auric/?q=node/27

Version-Release number of selected component (if applicable):
lirc-irman-0.8.4a-3.fc10.i386
(it's my own package with IRMAN support, based on original lirc-0.8.4a-3)

How reproducible:
always

Steps to Reproduce:
1. configures lircm
2. try to use it
  
Actual results:
does not work

Expected results:
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
        compiled for 1.4.99.901, module version = 1.3.0
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 2.0
(**) Option "Protocol" "IMPS/2"
(**) (unnamed): Device: "/dev/lircm"
(**) (unnamed): Protocol: "IMPS/2"
(**) Option "SendCoreEvents" "true"
(**) (unnamed): always reports core events
(**) Option "Device" "/dev/lircm"
(**) Option "Buttons" "5"
(==) (unnamed): Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) (unnamed): ZAxisMapping: buttons 4 and 5
(**) (unnamed): Buttons: 9
(**) (unnamed): Sensitivity: 1
(II) XINPUT: Adding extended input device "(unnamed)" (type: MOUSE)

Additional info:
Unfortunately this does not work for me, because my IRMAN device does not use lirc_serial module, which is tested in this configuration. I have to change match line in this example to:
     <match key="info.udi" string="/org/freedesktop/Hal/devices/lirc_mouse">
and emit HAL device by running:
     hal-device --add lirc_mouse < /dev/null > /dev/null
from /etc/rc.d/rc.local. This command cannot be run from lirc init script, because haldaemon is not running in time of starting lirc.
If you have better place for this hal-device command, tell me.
Until this has been solved, it will be better to at least add this /etc/hal/fdi/policy/30user/10-lirc_serialmouse.fdi as a standard part ot lirc package
(I am not sure, it this need to be in /etc/hal or in /usr/share/hal).
A better solution for me may be an updated 10-lirc_serialmouse.fdi, which will contain original part and also my updated part (attached to this bug report).
Comment 1 Jarod Wilson 2009-09-17 10:14:48 EDT
I think the best way to integrate lircmd with current xorg is to use lircmd's new uinput support, which was added in 0.8.6, iirc.
Comment 2 Bug Zapper 2009-11-18 06:53:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:23:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.